aboutsummaryrefslogtreecommitdiff
path: root/lint/git-template-hooks.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lint/git-template-hooks.sh')
-rw-r--r--lint/git-template-hooks.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/lint/git-template-hooks.sh b/lint/git-template-hooks.sh
new file mode 100644
index 00000000..74f20fc6
--- /dev/null
+++ b/lint/git-template-hooks.sh
@@ -0,0 +1,5 @@
+set --
+for bin in git/template/hooks/*.sh ; do
+ set -- "$@" "${bin%.sh}"
+done
+shellcheck -e SC1090 -- "$@" || exit